import { JwtPayload } from "jsonwebtoken";

/**
    JwtPayload
        [key: string]: any;
        iss?: string | undefined;
        sub?: string | undefined;
        aud?: string | string[] | undefined;
        exp?: number | undefined;
        nbf?: number | undefined;
        iat?: number | undefined;
        jti?: string | undefined;
 */
declare module 'security-ndjs-lib' {
    export function createJWT(id: string, subject: object, time?: number): string;
    export function parseJWT(token?: string, id?: string): JwtPayload; // Adjust the signature if needed
}